Search found 346 matches

by jbeuken
Tue Mar 27, 2012 9:00 pm
Forum: Platform specific questions
Topic: Intel mkl library
Replies: 5
Views: 4818

Re: Intel mkl library

Hi, I have not yet the opportunity to test the version of mph with Intel Composer XE 2011... but, in the "Intel® Math Kernel Library Link Line Advisor" ( m), you can find all infos needed and among other things, the compilation option to use with fort to activate the mph -mkl=cluster you m...
by jbeuken
Tue Mar 27, 2012 7:51 pm
Forum: Configuration
Topic: abinit-6.12.1. Compiler error at ATOMPAW
Replies: 10
Views: 9541

Re: abinit-6.12.1. Compiler error at ATOMPAW

Hi Temok, Such config.log is attached in this reply. Please note that such log file corresponds for the case ifort 12.1 + openmpi-1.4.5, which I have desisted under your suggestion with this config.log, it's simple to find the problem... ... ./conftest: error while loading shared libraries: libmkl_i...
by jbeuken
Mon Mar 26, 2012 9:17 pm
Forum: Configuration
Topic: abinit-6.12.1. Compiler error at ATOMPAW
Replies: 10
Views: 9541

Re: abinit-6.12.1. Compiler error at ATOMPAW

Hi Temok, 2 things : 1) forget the ifort 12.1 : after analysis of tests results, there are too big errors then it seems that the compiler is not yet ready to use with Abinit use the version 11.1.073 : it works with 6.12.2 , all plugins and openmpi 1.4.3 2) you have a problem with wannier90, then we ...
by jbeuken
Thu Mar 22, 2012 7:26 pm
Forum: Configuration
Topic: ABINIT-6.12.2 ac_nonexistent.h error
Replies: 4
Views: 2335

Re: ABINIT-6.12.2 ac_nonexistent.h error

Hi Vahid,

it's not a problem : it's a test...

see for example, http://lists.gnu.org/archive/html/autoconf/2011-03/msg00009.html

regards

jmb
by jbeuken
Fri Mar 16, 2012 9:18 pm
Forum: Configuration
Topic: abinit-6.12.1. Compiler error at ATOMPAW
Replies: 10
Views: 9541

Re: abinit-6.12.1. Compiler error at ATOMPAW

Hello Temok, for info, I succeed to compile abinit 6.12.2 with ifort 12.1.3.293 and openmpi 1.4.5 under Fedora 16 tests are the config file : 1) for openmpi #!/bin/bash export CPP="icc -E" export CC=icc export CFLAGS="-O2 -vec-report0" export CXX=icpc export CXXFLAGS="-O2 -v...
by jbeuken
Sun Mar 11, 2012 11:06 am
Forum: Platform specific questions
Topic: problem while downloading abinit package
Replies: 3
Views: 2891

Re: problem while downloading abinit package

Hi,
Mukul.pu02 wrote:wget http://archives.abinit.org/plugins/netcdf-4.1.1.tar.gz
The error is as follows:
--17:30:05-- http://archives.abinit.org/plugins/netcdf-4.1.1.tar.gz
Resolving archives.abinit.org... failed: Temporary failure in name resolution.


the link is correct
and, as you see, this a "temporary failure" with DNS...

jmb
by jbeuken
Thu Mar 08, 2012 10:50 pm
Forum: Configuration
Topic: [Q][SOLVED] open64 for abinit?
Replies: 8
Views: 2563

Re: [Q][SOLVED] open64 for abinit?

Hi Yann, Does the segfault on v6#t48 still happen if you recompile the file without optimizations? if I compile only "32_util/ysF90" with -O0 ( and without the workaround ), the test succeeds ! I try to modify the code inside ys.F90 ( for ex : replace the case construction,... ) without su...
by jbeuken
Thu Mar 08, 2012 4:13 pm
Forum: Configuration
Topic: configure with FoX library
Replies: 4
Views: 1742

Re: configure with FoX library

but tests of FoX succeed with the last version of ifort Version 12.1.1.256 8-)

jmb
by jbeuken
Thu Mar 08, 2012 12:59 pm
Forum: Configuration
Topic: configure with FoX library
Replies: 4
Views: 1742

Re: configure with FoX library

Hi,

you must use, with abinit version 6.12.1,

--with-trio-flavor=netcdf+etsf_io+fox

the compilation works for me with FoX-4.1.2...but not the tests :?
segfault !

regards

jmb
by jbeuken
Wed Mar 07, 2012 8:42 pm
Forum: Configuration
Topic: configure with FoX library
Replies: 4
Views: 1742

Re: configure with FoX library

Hi Miguel,

FoX is currently supported and tested with GCC and XLF compilers...

I can try with fort 10.1, 11.1 and 12.1

what is the version of your compiler ?

regards

jmb
by jbeuken
Wed Mar 07, 2012 11:54 am
Forum: Configuration
Topic: abinit-6.12.1. Compiler error at ATOMPAW
Replies: 10
Views: 9541

Re: abinit-6.12.1. Compiler error at ATOMPAW

Hi temok, I succeeded in compile with - abinit 6.12.2 - ifort 10.1.008 - atompaw 3.0.1.3 - wannier90 1.2.0.1 - bigdft 1.6 - libxc 1.1.0 this is my ".ac" file for configure : CC="/cvos/shared/apps/intel/cce/10.1.008/bin/icc" CXX="/cvos/shared/apps/intel/cce/10.1.008/bin/icpc&...
by jbeuken
Wed Mar 07, 2012 11:13 am
Forum: Configuration
Topic: abinit-6.12.1. Compiler error at ATOMPAW
Replies: 10
Views: 9541

Re: abinit-6.12.1. Compiler error at ATOMPAW

Hi temok, we have a testfarm to test nightly abinit ( http://www.abinit.org/developers/abinit-dev-status/nightly-builds/abinit-6.12 ) one of the bots use "ifort 10.1" but unfortunately, the build is without any plugins ! the "fortcom: Severe: **Internal compiler error: internal abort&...
by jbeuken
Tue Mar 06, 2012 10:04 pm
Forum: Configuration
Topic: [Q][SOLVED] open64 for abinit?
Replies: 8
Views: 2563

Re: [Q][SOLVED] open64 for abinit?

Hi, my experience with open64 5.0 from open64.org ( better under Xeon / CentOS 6.2 than open64 4.2.5 from AMD !?! ) I use openmpi 1.4.4 and my .ac file for configure of abinit is : enable_mpi="yes" enable_mpi_io="no" with_mpi_prefix="/usr/local/openmpi_open64" enable_64...
by jbeuken
Tue Mar 06, 2012 9:45 pm
Forum: Configuration
Topic: Compiling error in 6.12.1 about "illegal data type length.."
Replies: 8
Views: 3572

Re: Compiling error in 6.12.1 about "illegal data type lengt

Hi abidave, The build system of Abinit has no support for PGI, because their Fortran compiler has too many bugs. If you run into a bug with a PGI compiler, you can send it to trs@pgroup.com or post at m They are pretty good at fixing issues reported from users. PGI is working currently working on su...
by jbeuken
Tue Mar 06, 2012 9:00 pm
Forum: Platform specific questions
Topic: problem while downloading abinit package
Replies: 3
Views: 2891

Re: problem while downloading abinit package

Hi,

the size of the package is exactly 58474634 bytes

if the command :

Code: Select all

tar xzf  abinit-6.12.1.tar.gz


completes without error, is that the package is complete !

concerning the problem with configure, what's exactly the error message ?

regards

jmb
by jbeuken
Fri Feb 10, 2012 8:44 pm
Forum: Configuration
Topic: Bug report: OpenMP in Abinit 6.10.2
Replies: 2
Views: 1147

Re: Bug report: OpenMP in Abinit 6.10.2

hi, there are a lot of problems with 6.10 and OpenMP but try with 6.12.1 and with this config file : FC = ifort CC = icc CXX = icpc enable_gw_dpc = yes enable_mpi = no with_dft_flavor = atompaw+bigdft+libxc+wannier90 with_fft_flavor = fftw3 with_fft_libs = -L/opt/intel/composerxe/mkl/lib/intel64 -Wl...
by jbeuken
Fri Feb 10, 2012 8:40 pm
Forum: Platform specific questions
Topic: abinit 6.10 +intel 12.1.0 + mkl [SOLVED]
Replies: 5
Views: 6304

Re: abinit 6.10 +intel 12.1.0 + mkl [SOLVED]

hello, this .ac file is working with abinit 6.12.1 and with intel 11.1 under CentOS 5.7/xeon ( but it should be work with intel 12.1 ) enable_gw_dpc = yes enable_mpi = yes enable_mpi_io = yes with_mpi_prefix = /usr/local/openmpi_intel with_dft_flavor = atompaw+bigdft+libxc+wannier90 with_fft_flavor ...
by jbeuken
Sat Feb 04, 2012 9:12 pm
Forum: Configuration
Topic: Compiling error in 6.12.1 about "illegal data type length.."
Replies: 8
Views: 3572

Re: Compiling error in 6.12.1 about "illegal data type lengt

HI,

I don't known if your issue is related to the mpich2 version, but I encountered this kind of problem with mpich2 1.4.x

see for example, viewtopic.php?f=3&t=1459&p=4537&hilit=mpich2#p4538

it works with the mpich2 1.5.a2

regards

jmb
by jbeuken
Thu Jan 26, 2012 5:40 pm
Forum: Configuration
Topic: configure error of 6.10 with gfortran+openmpi on fedora
Replies: 6
Views: 2952

Re: configure error of 6.10 with gfortran+openmpi on fedroa

Dear Xiaole, My problem has been sovled according to the solution of jmb see http://forum.abinit.org/viewtopic.php?f=2&t=1452 it seem like the version 1.5- openmpi doesnt work well with abinit promlem sovled I finally understood why ABINIT does not work with the "native" fedora openmpi...
by jbeuken
Thu Jan 26, 2012 9:29 am
Forum: Platform specific questions
Topic: Abinit for windows 7 32bit
Replies: 1
Views: 1932

Re: Abinit for windows 7 32bit

Hi,

did you ever try the binary package ( http://www.etsf.eu/resources/software/e ... ory#ABINIT ) ?

jmb
by jbeuken
Thu Jan 26, 2012 9:24 am
Forum: Testing and Documentation
Topic: Issues with v.6.10.3 tutorial#1
Replies: 5
Views: 2586

Re: Issues with v.6.10.3 tutorial#1

Hi, abinit<t1x.files>&log I do not get all the files mentioned in the tutorial. What I get instead are: log t11.in t11.out t11.outA t1x.files Did you examine the contents of log and *.out files ? If you don't see "Calculation Completed." at the end of theses files, that there is a prob...
by jbeuken
Wed Jan 25, 2012 7:55 pm
Forum: Configuration
Topic: [SOLVED] Not able to configure abinit-6.10.1
Replies: 4
Views: 2678

Re: Not able to configure abinit-6.10.1

Hi, ./configure --enable-mpi=no FC=/opt/intel/composerxe-2011.0.084/bin/intel64/ifort ... echo "Running built-in test in_1" Running built-in test in_1 cd tests ; /usr/bin/perl .././tests/Scripts/run-basic-tests.pl built-in in_1 /home/wychem/rs244/abinit-6.10.1 ../../../src/98_main/abinit: ...
by jbeuken
Mon Jan 23, 2012 5:25 pm
Forum: Platform specific questions
Topic: ABINIT on GPU
Replies: 13
Views: 9528

Re: ABINIT on GPU

Hello, To make you wait, we can read in the release notes (abstract) of 6.12.1 version ( not yet released ) B. Most noticeable achievements B.1 The Ground-state calculations can benefit from GPUs, with CUDA library. See the input variable use_gpu_cuda, as well as the tests contained in the tests/gpu...
by jbeuken
Thu Jan 12, 2012 10:25 pm
Forum: Configuration
Topic: [SOLVED] Cannot configure Abinit v6.10.1
Replies: 6
Views: 2089

Re: Cannot configure Abinit v6.10.1

Hi, yes I had a wrong line (with_fft_libs="/opt/shared_libs/lib/libfftw3"). I changed it to "with_fft_libs="-L/opt/shared_libs/lib -lfftw3" and now the FFT libs are OK. However I thought that the style "-L/path/to/lib/dir -lname" is used to link dynamic libs not st...